## nibabel 2.3.2

=== debian/changelog ===
nibabel (2.3.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Jan 2019 23:35:50 -0500

nibabel (2.3.1+git51-g1ea7c30f-1) unstable; urgency=medium

  * Fresh upstream snapshot from rel/2.3.2 branch
    https://github.com/nipy/nibabel/pull/708
    - should resolve incompatibilities with recent release of numpy
      causing " cannot set WRITEABLE flag to True ..." (Closes: #917680)
  * debian/control
    + added (build-)depends on python-bz2file (python2 only)
    + build-depend on dh-python
    - remove obsolete X-*-Python fields
    + b-depend on python{3,}-setuptools since used now, and not pulled
      through depends on older Debian/Ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Jan 2019 19:53:57 -0500

=== debian/control ===
Source: nibabel
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), dh-python,
               python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse, python-bz2file, python-setuptools,
               python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six, python3-setuptools,
               help2man, python-sphinx, python-matplotlib, libjs-mathjax,
               python-mock, python3-mock,
               python-numpydoc
Standards-Version: 3.9.8
Homepage: http://nipy.sourceforge.net/nibabel
Vcs-Browser: https://salsa.debian.org/neurodebian-team/pynifti
Vcs-Git: https://salsa.debian.org/neurodebian-team/pynifti.git -b dist/debian/proper
XS-Testsuite: autopkgtest

Package: python-nibabel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
Recommends: python-dicom, python-fuse
Suggests: python-nibabel-doc, python-mock,
Description: Python bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package also provides a commandline tools:
 .
  - dicomfs - FUSE filesystem on top of a directory with DICOMs
  - nib-ls - 'ls' for neuroimaging files
  - parrec2nii - for conversion of PAR/REC to NIfTI images

Package: python3-nibabel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
Recommends: python3-dicom, python3-fuse,
Suggests: python-nibabel-doc, python3-mock,
Description: Python3 bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.


Package: python-nibabel-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
Description: documentation for NiBabel
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package provides the documentation in HTML format.

## nibabel 2.4.1

=== debian/changelog ===
nibabel (2.4.1-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 28 May 2019 10:30:52 -0400

nibabel (2.4.1-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 May 2019 09:35:14 -0400

nibabel (2.4.0-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Apr 2019 09:39:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nibabel
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~), dh-python,
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse, python-bz2file, python-setuptools,
@@ -17,7 +18,7 @@
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
 Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc, python-mock,
 Description: Python bindings to various neuroimaging data formats
@@ -35,7 +36,7 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
 Recommends: python3-dicom, python3-fuse,
 Suggests: python-nibabel-doc, python3-mock,
 Description: Python3 bindings to various neuroimaging data formats
@@ -49,7 +50,7 @@
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

## nibabel 2.5.0

=== debian/changelog ===
nibabel (2.5.0-1) unstable; urgency=medium

  * Fresh 2.5.0 release
    - many fixes (including .trk files failing tests on s390)
    - some API deprecations

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2019 09:52:19 -0400

## nibabel 2.5.1

=== requirements.txt ===
# Minumum requirements
#
# Check these against
#   nibabel/info.py
#   .travis.yml
#   doc/source/installation.rst

six>=1.3
numpy>=1.8

=== debian/changelog ===
nibabel (2.5.1-3) unstable; urgency=medium

  * Team upload.
  * Take over package in Debian Med team maintenance
  * cme fix dpkg-control
     - Priotity optional instead of extra
     - Drop some unneeded versioned dependencies
     - Formatting
  * Breaks+Replaces: python-nibabel
    Closes: #948372
  * Use default Debian Med repository layout for Git repository

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:00:59 +0100

nibabel (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937140

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 16:52:40 -0500

nibabel (2.5.1-1) unstable; urgency=medium

  * Fresh 2.5.1 release (2.5.x series is the last one to support python2)
  * debian/control
    - boosted policy to 4.4.1
    - Stripped XS- for Testsuite
  * debian/copyright
    - removed obsolete paragraph for no longer included 
      doc/sphinxext/autosummary
  * rm debian/patches/lenny-dsc-patch_numpy_testing - no backports for lenny
    were built for years

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Nov 2019 18:09:36 -0500

=== debian/control ===
Source: nibabel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3-fuse,
               python3-bz2file,
               python3-all,
               python3-numpy,
               python3-scipy,
               python3-nose,
               python3-six,
               python3-setuptools,
               help2man,
               python3-sphinx,
               python3-matplotlib,
               libjs-mathjax,
               python3-mock,
               python3-numpydoc
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/nibabel
Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
Homepage: http://nipy.sourceforge.net/nibabel

Package: python3-nibabel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-six
Recommends: python3-dicom,
            python3-fuse
Suggests: python-nibabel-doc,
          python3-mock
Breaks: python-nibabel
Replaces: python-nibabel
Description: Python3 bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.

Package: python-nibabel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Description: documentation for NiBabel
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

BINDIR=$(CURDIR)/debian/tmp/usr/bin/

# Setting MPLCONFIGDIR to please matplotlib demanding writable HOME
# on older systems (e.g. 12.04)
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --buildsystem=pybuild --builddirectory=build --with=python3

override_dh_auto_build:
	dh_auto_build
	# and docs
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build PYTHON=python3
	# but remove jquery copy (later on link to Debian's version)
	-rm build/html/_static/jquery.js
	# objects inventory is of no use for the package
	-rm build/html/objects.inv
	# also doc source files only consume space
	-rm -r build/html/_sources

# enable when we believe that the tests should pass
override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_installman:
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n 'convert PARREC image to NIfTI' $(BINDIR)/parrec2nii > build/parrec2nii.1
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n 'FUSE filesystem on top of a directory with DICOMs' $(BINDIR)/nib-dicomfs > build/nib-dicomfs.1
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n "'ls' for neuroimaging files" $(BINDIR)/nib-ls > build/nib-ls.1
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n "header diagnostic tool" $(BINDIR)/nib-nifti-dx > build/nib-nifti-dx.1

	dh_installman build/*.1

override_dh_clean:
	$(MAKE) clean
	dh_clean

=== debian/tests/control ===
Tests: nosetests3
Depends: python3-all, python3-nose, python3-numpy, python3-scipy, python3-six, python3-nibabel

## nibabel 3.1.1

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.13
packaging >=14.3

=== debian/changelog ===
nibabel (3.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Update Homepage
  * Rules-Requires-Root: no (routine-update)
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Switch build time test from nose to pytest
    Closes: #964610

  [ Nilesh Patra ]
  * Add manpages
  * Switch autopkgtest to pytest
  * Fix perms of non-executables

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 27 Jul 2020 20:33:51 +0530

nibabel (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * Use python3-pydicom instead of transitional package python2-dicom
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Spinx doc checks for exact version matching - remove remaining 'dev'
    in nano-version
  * Build-Depends: python3-pytest <!nocheck>

 -- Andreas Tille <tille@debian.org>  Tue, 03 Mar 2020 14:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-fuse,
                python3-bz2file,
@@ -18,13 +17,16 @@
                help2man,
                python3-sphinx,
                python3-matplotlib,
+               python3-texext,
                libjs-mathjax,
                python3-mock,
-               python3-numpydoc
-Standards-Version: 4.4.1
+               python3-numpydoc,
+               python3-pytest <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
-Homepage: http://nipy.sourceforge.net/nibabel
+Homepage: https://nipy.org/nibabel/
+Rules-Requires-Root: no
 
 Package: python3-nibabel
 Architecture: all
@@ -33,7 +35,7 @@
          python3-numpy,
          python3-scipy,
          python3-six
-Recommends: python3-dicom,
+Recommends: python3-pydicom,
             python3-fuse
 Suggests: python-nibabel-doc,
           python3-mock

## nibabel 3.2.1

=== Makefile ===
COVERAGE_REPORT=coverage
HTML_DIR=build/html
LATEX_DIR=build/latex
WWW_DIR=build/website
DOCSRC_DIR=doc
PROJECT=nibabel
#
# The Python executable to be used
#
PYTHON ?= python
NOSETESTS = $(PYTHON) $(shell which nosetests)

#
# Determine details on the Python/system
#

PYVER := $(shell $(PYTHON) -V 2>&1 | cut -d ' ' -f 2,2 | cut -d '.' -f 1,2)
DISTUTILS_PLATFORM := \
	$(shell \
		$(PYTHON) -c "import distutils.util; print(distutils.util.get_platform())")

# Helpers for version handling.
# Note: can't be ':='-ed since location of invocation might vary
DEBCHANGELOG_VERSION = $(shell dpkg-parsechangelog | egrep ^Version | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)
SETUPPY_VERSION = $(shell $(PYTHON) setup.py -V)
#
# Automatic development version
#
#yields: LastTagName_CommitsSinceThat_AbbrvHash
DEV_VERSION := $(shell git describe --abbrev=4 HEAD |sed -e 's/-/+/g' |cut -d '/' -f 2,2)

# By default we are releasing with setup.py version
RELEASE_VERSION ?= $(SETUPPY_VERSION)

#
# Building
#

all: build

build: 
	$(PYTHON) setup.py config --noisy
	$(PYTHON) setup.py build


#
# Cleaning
#

clean:
	$(MAKE) -C doc clean
	-rm -rf build
	-rm *-stamp

distclean: clean
	-rm MANIFEST
	-rm $(COVERAGE_REPORT)
	@find . -name '*.py[co]' \
		 -o -name '*.a' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.pstats' \
		 -o -iname '*.prof' \
		 -o -iname '#*#' | xargs -L10 rm -f
	-rm -r dist
	-rm build-stamp
	-rm -r .tox
#	-rm tests/data/*.hdr.* tests/data/*.img.* tests/data/something.nii \
#		tests/data/noise* tests/data/None.nii


#
# Little helpers
#

$(WWW_DIR):
	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi


#
# Tests
#

test: unittest testmanual


ut-%: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel/tests/test_$*.py


unittest: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel --with-doctest

testmanual: build
	@cd doc/source && PYTHONPATH=../..:$(PYTHONPATH) $(NOSETESTS) --with-doctest --doctest-extension=.rst . dicom


coverage: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-coverage --cover-package=nibabel


#
# Documentation
#

htmldoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) html


pdfdoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) latex
	cd $(LATEX_DIR) && $(MAKE) all-pdf


gitwash-update: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) gitwash-update

#
# Website
#

html: html-stamp
html-stamp: $(WWW_DIR) htmldoc
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	touch $@

pdf: pdf-stamp
pdf-stamp: $(WWW_DIR) pdfdoc
	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
	touch $@

website: website-stamp
website-stamp: $(WWW_DIR) html-stamp pdf-stamp
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	touch $@

upload-html: html-stamp
	./tools/upload-gh-pages.sh $(WWW_DIR) $(PROJECT)

#
# Sources
#

pylint: distclean
	# do distclean first to silence SWIG's sins
	PYTHONPATH=.:$(PYTHONPATH) pylint --rcfile doc/misc/pylintrc nibabel


#
# Distributions
#

# Check either everything was committed
check-nodirty:
	# Need to run in clean tree. If fails: commit or clean first
	[ "x$$(git diff)" = "x" ]
# || $(error "")

check-debian:
	# Need to run in a Debian packaging branch
	[ -d debian ]

check-debian-version: check-debian
	# Does debian version correspond to setup.py version?
	[ "$(DEBCHANGELOG_VERSION)" = "$(SETUPPY_VERSION)" ]

embed-dev-version: check-nodirty
	# change upstream version
	sed -i -e "s/$(SETUPPY_VERSION)/$(DEV_VERSION)/g" setup.py nibabel/__init__.py
	# change package name
	sed -i -e "s/= 'nibabel',/= 'nibabel-snapshot',/g" setup.py

deb-dev-autochangelog: check-debian
	# removed -snapshot from pkg name for now
	$(MAKE) check-debian-version || \
		dch --newversion $(DEV_VERSION)-1 --package nibabel-snapshot \
		 --allow-lower-version "NiBabel development snapshot."

deb-mergedev:
	git merge --no-commit origin/dist/debian/dev

orig-src: distclean distclean
	# clean existing dist dir first to have a single source tarball to process
	-rm -rf dist
	# let python create the source tarball
	$(PYTHON) setup.py sdist --formats=gztar
	# rename to proper Debian orig source tarball and move upwards
	# to keep it out of the Debian diff
	tbname=$$(basename $$(ls -1 dist/*tar.gz)) ; ln -s $${tbname} ../nibabel-snapshot_$(DEV_VERSION).orig.tar.gz
	mv dist/*tar.gz ..
	# clean leftover
	rm MANIFEST

devel-src: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src
	mv dist/*tar.gz ..
	rm -rf dist

devel-dsc: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src deb-mergedev deb-dev-autochangelog
	# create the dsc -- NOT using deb-src since it would clean the hell first
	cd dist && dpkg-source -i'\.(gbp.conf|git\.*)' -b nibabel-snapshot
	mv dist/*.gz dist/*dsc ..
	rm -rf dist

# make Debian source package
# # DO NOT depend on orig-src here as it would generate a source tarball in a
# Debian branch and might miss patches!
deb-src: check-debian distclean
	cd .. && dpkg-source -i'\.(gbp.conf|git\.*)' -b $(CURDIR)


bdist_rpm:
	$(PYTHON) setup.py bdist_rpm \
	  --doc-files "doc" \
	  --packager "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"
	  --vendor "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"


# build MacOS installer -- depends on patched bdist_mpkg for Leopard
bdist_mpkg:
	$(PYTHON) tools/mpkg_wrapper.py setup.py install

# Check for files not installed
check-files:
	$(PYTHON) -c 'from nisext.testers import check_files; check_files("nibabel")'

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nibabel")'

# Run tests from installed code
installed-tests:
	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nibabel")'

# Run tests from packaged distributions
sdist-tests:
	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel", doctests=False)'

bdist-egg-tests:
	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel", doctests=False, label="not script_test")'

sdist-venv: clean
	rm -rf dist venv
	unset PYTHONPATH && $(PYTHON) setup.py sdist --formats=zip
	virtualenv --system-site-packages --python=$(PYTHON) venv
	. venv/bin/activate && pip install --ignore-installed nose
	mkdir venv/tmp
	cd venv/tmp && unzip ../../dist/*.zip
	. venv/bin/activate && cd venv/tmp/nibabel* && python setup.py install
	unset PYTHONPATH && . venv/bin/activate && cd venv && nosetests --with-doctest nibabel nisext

source-release: distclean
	$(PYTHON) -m compileall .
	make distclean
	$(PYTHON) setup.py sdist --formats=gztar,zip

venv-tests:
	# I use this for python2.5 because the sdist-tests target doesn't work
	# (the tester routine uses a 2.6 feature)
	make distclean
	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
	$(PYTHON) setup.py install
	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel

tox-fresh:
	# tox tests with fresh-installed virtualenvs.  Needs network.  And
	# pytox, obviously.
	tox -c tox.ini

tox-stale:
	# tox tests with MB's already-installed virtualenvs (numpy and nose
	# installed)
	tox -e python25,python26,python27,python32,np-1.2.1

refresh-readme:
	$(PYTHON) tools/refresh_readme.py

rm-orig:
	# Remove .orig temporary diff files generated by git
	find . -name "*.orig" -print | grep -v "fsaverage" | xargs rm

.PHONY: orig-src pylint all build

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.14
packaging >=14.3

=== debian/changelog ===
nibabel (3.2.1-2) unstable; urgency=medium

  * d/patches
    - 983.patch to include https://github.com/nipy/nibabel/pull/983
      addressing failing test due to mocking  on older systems

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Dec 2020 09:10:02 -0500

nibabel (3.2.1-1) unstable; urgency=medium

  * Fresh upstream release
    - refreshed patches, no changes
  * d/control
    - bring compat level back to 12 - no features of 13 are used AFAIK,
      and it only complicates backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Dec 2020 08:48:49 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-fuse,
                python3-bz2file,

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-all, python3-pytest, python3-nose, python3-numpy, python3-scipy, python3-six

## nibabel 3.2.2

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.14
packaging >=14.3
setuptools

=== debian/changelog ===
nibabel (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * Fix Python3.10 issue

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 10:41:07 +0100

nibabel (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Build-Depends: python3-bz2file (addresses #987287, #1001201)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Apply multi-arch hints.
    + python-nibabel-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Dec 2021 07:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-fuse,
-               python3-bz2file,
                python3-all,
                python3-numpy,
                python3-scipy,
@@ -22,7 +21,7 @@
                python3-mock,
                python3-numpydoc,
                python3-pytest <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/
@@ -54,6 +53,7 @@
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
+Multi-Arch: foreign
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	# and docs
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build PYTHON=python3
 	# but remove jquery copy (later on link to Debian's version)
 	-rm build/html/_static/jquery.js
@@ -23,7 +22,9 @@
 
 # enable when we believe that the tests should pass
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m pytest --verbose" dh_auto_test
+endif
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
@@ -42,6 +43,11 @@
 
 	dh_installman build/*.1
 
+override_dh_fixperms:
+	find debian/ -name 'gzipbase64.gii' | xargs chmod -x
+	find debian/ -name 'umass_anonymized.PAR' | xargs chmod -x
+	dh_fixperms
+
 override_dh_clean:
 	$(MAKE) clean
 	dh_clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/nibabel-$1.tar.gz/ \
  https://github.com/nipy/nibabel/tags .*/v?(\d[\d\.]+)\.tar\.gz

## nibabel 5.0.0

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 all: build
 
-build: 
+build:
 	$(PYTHON) setup.py config --noisy
 	$(PYTHON) setup.py build
 
@@ -78,6 +78,10 @@
 $(WWW_DIR):
 	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi
 
+.git-blame-ignore-revs:
+	git log --grep "\[git-blame-ignore-rev\]" --pretty=format:"# %ad - %ae - %s%n%H" \
+		> .git-blame-ignore-revs
+	echo >> .git-blame-ignore-revs
 
 #
 # Tests
@@ -288,4 +292,4 @@
 	# Remove .orig temporary diff files generated by git
 	find . -name "*.orig" -print | grep -v "fsaverage" | xargs rm
 
-.PHONY: orig-src pylint all build
+.PHONY: orig-src pylint all build .git-blame-ignore-revs

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.19
packaging >=17
setuptools

=== debian/changelog ===
nibabel (5.0.0-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * skip-armel-test-nan2zero.patch: relax to arm* filtering. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Mon, 30 Jan 2023 16:15:52 +0100

nibabel (5.0.0-1) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject,
    python3-pytest-httpserver
  * Set PATH for build time tests
  * Test-Depends: python3-pytest-httpserver
  * Restrict autopkgtest to default Python3 version

  [ Nilesh Patra ]
  * Build-Depends: python3-hatch-vcs

  [ Étienne Mollier ]
  * d/t/control: append "@" (i.e. built packages) to test dependencies.
  * skip-test-removalschedule.patch: add; fix autopkgtest failures.
  * skip-armel-test-nan2zero.patch: add; fix ftbfs on armel. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Thu, 26 Jan 2023 18:57:50 +0100

nibabel (4.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * New version (4.0.1)
  * d/control: Bump standards version to 4.6.1
  * d/series: Remove fix for sphinx patch

  [ Étienne Mollier ]
  * New upstream version 4.0.2
  * d/t/run-unit-test: run on all supported python versions.
  * d/{,t/}control: remove dependency to python3-nose. (Closes: #1018422)

 -- Étienne Mollier <emollier@debian.org>  Thu, 08 Dec 2022 21:52:20 +0100

nibabel (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Add restrictions on allowing stderr (Closes: #1014482)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 12 Jul 2022 19:47:13 +0530

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: nibabel
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-fuse,
                python3-all,
+               python3-hatch-vcs,
                python3-numpy,
                python3-scipy,
-               python3-nose,
                python3-six,
                python3-setuptools,
                help2man,
@@ -20,8 +22,9 @@
                libjs-mathjax,
                python3-mock,
                python3-numpydoc,
-               python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+               python3-pytest <!nocheck>,
+               python3-pytest-httpserver <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # enable when we believe that the tests should pass
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m pytest --verbose" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PATH={dir}/.pybuild/cpython3_{version}/scripts:$(PATH) PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m pytest --verbose" dh_auto_test
 endif
 
 ## immediately useable documentation

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-all,
         python3-pytest,
         python3-numpy,
         python3-scipy,
         python3-six,
         python3-pytest-httpserver
Restrictions: allow-stderr

## nibabel 5.1.0

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.19
packaging >=17
importlib_resources >=1.3; python_version < '3.9'

=== debian/changelog ===
nibabel (5.1.0-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * d/rules: fix permissions for two scripts without shebang.
    Affected scripts are dicomwrappers.py and test_dicomwrappers.py.
  * d/rules: find and delete stray .gitignore.
    A couple of them landed in the nibabel python3 modules directory.
  * d/s/lintian-overrides: hide test-leaves-python-version-untested.
    The warning chokes on a check that is relevant only for interactive
    use, so no meddling with multiple python versions is expected, or even
    possible.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 19:24:07 +0200

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,6 @@
             python3-fuse
 Suggests: python-nibabel-doc,
           python3-mock
-Breaks: python-nibabel
-Replaces: python-nibabel
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -52,11 +50,11 @@
 
 Package: python-nibabel-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
-Multi-Arch: foreign
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

## nibabel 5.2.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# The Python executable to be used
#
PYTHON ?= python

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =


# Internal variables.
BUILDROOT       = ../build
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDROOT)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

# API generation
API_DIR = source/reference
.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  api       to make the auto-generated API files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash-update update git workflow from source repo"

clean: api-clean
	-rm -rf $(BUILDROOT)/*
	-rm *-stamp

api-clean:
	rm -rf $(API_DIR)/*.rst

api: api-stamp
api-stamp:
	@mkdir -p $(API_DIR)
	$(PYTHON) tools/build_modref_templates.py nibabel $(API_DIR) False
	@echo "Build API docs...done."
	@touch $@

html-only:
	mkdir -p $(BUILDROOT)/html $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDROOT)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDROOT)/html."

html: api-stamp html-only

pickle:
	mkdir -p $(BUILDROOT)/pickle $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDROOT)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDROOT)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDROOT)/htmlhelp $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDROOT)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDROOT)/htmlhelp."

latex:
	mkdir -p $(BUILDROOT)/latex $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDROOT)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDROOT)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDROOT)/changes $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDROOT)/changes
	@echo
	@echo "The overview file is in $(BUILDROOT)/changes."

linkcheck:
	mkdir -p $(BUILDROOT)/linkcheck $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDROOT)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDROOT)/linkcheck/output.txt."

doctest: api-clean
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDROOT)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

gitwash-update:
	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy \
		--project-url=http://nipy.org/nibabel \
		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging

=== debian/changelog ===
nibabel (5.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 13:46:37 +0100

nibabel (5.2.0-3) unstable; urgency=medium

  * Team upload.
  * Drop nisext which is appreciated by upstream to gain Python3.12
    Closes: #1063588
  * Add NEWS.Debian to inform users about dropped nisext
  * Autopkgtest for all supported Python3 versions
  * rename debian/NEWS.Debian debian/NEWS (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 11:09:04 +0100

nibabel (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * remove obsolete dependencies:
    * python3-mock
    * python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jan 2024 12:29:13 +0100

nibabel (5.2.0-1) unstable; urgency=medium

  * New upstream version.  (Closes: #1058386)
  * d/control: build depends on python3-hatchling.
  * d/clean: new: cleanup build artifacts. (Closes: #1048960)

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 14:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,15 @@
                python3-fuse,
                python3-all,
                python3-hatch-vcs,
+               python3-hatchling,
                python3-numpy,
                python3-scipy,
-               python3-six,
                python3-setuptools,
                help2man,
                python3-sphinx,
                python3-matplotlib,
                python3-texext,
                libjs-mathjax,
-               python3-mock,
                python3-numpydoc,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>
@@ -36,11 +35,9 @@
          ${python3:Depends},
          python3-numpy,
          python3-scipy,
-         python3-six
 Recommends: python3-pydicom,
             python3-fuse
 Suggests: python-nibabel-doc,
-          python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

BINDIR=$(CURDIR)/debian/tmp/usr/bin/
NIBABEL_MODULE_DIR=$(CURDIR)/debian/*/usr/lib/python*/dist-packages/nibabel

# Setting MPLCONFIGDIR to please matplotlib demanding writable HOME
# on older systems (e.g. 12.04)
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --buildsystem=pybuild --builddirectory=build --with=python3

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) \
	$(MAKE) -C doc html \
		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		PYTHON=python3
	# but remove jquery copy (later on link to Debian's version)
	-rm build/html/_static/jquery.js
	# objects inventory is of no use for the package
	-rm build/html/objects.inv
	# also doc source files only consume space
	-rm -r build/html/_sources

# enable when we believe that the tests should pass
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PATH={dir}/.pybuild/cpython3_{version}/scripts:$(PATH) PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m pytest --verbose" \
	dh_auto_test
endif

execute_after_dh_auto_install:
	find $(NIBABEL_MODULE_DIR) -type f -name .gitignore -delete

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
COMPRESS_EXCLUDE_EXTS := .py .html .css .jpg .txt .js .json .rtc .par .bin
override_dh_compress:
	dh_compress $(foreach EXT,$(COMPRESS_EXCLUDE_EXTS),-X$(EXT))

override_dh_installman:
	PYTHONPATH=build/lib:$(PYTHONPATH) \
	help2man -N $(BINDIR)/parrec2nii \
		-n 'convert PARREC image to NIfTI' \
	> build/parrec2nii.1
	PYTHONPATH=build/lib:$(PYTHONPATH) \
	help2man -N $(BINDIR)/nib-dicomfs \
		-n 'FUSE filesystem on top of a directory with DICOMs' \
	> build/nib-dicomfs.1
	PYTHONPATH=build/lib:$(PYTHONPATH) \
	help2man -N $(BINDIR)/nib-ls \
		-n "'ls' for neuroimaging files" \
	> build/nib-ls.1
	PYTHONPATH=build/lib:$(PYTHONPATH) \
	help2man -N $(BINDIR)/nib-nifti-dx \
		-n "header diagnostic tool" \
	> build/nib-nifti-dx.1
	dh_installman build/*.1

execute_before_dh_fixperms:
	chmod -x $(NIBABEL_MODULE_DIR)/gifti/tests/data/gzipbase64.gii
	chmod -x $(NIBABEL_MODULE_DIR)/tests/data/umass_anonymized.PAR
	chmod -x $(NIBABEL_MODULE_DIR)/nicom/dicomwrappers.py
	chmod -x $(NIBABEL_MODULE_DIR)/nicom/tests/test_dicomwrappers.py

execute_before_dh_clean:
	$(MAKE) clean

## nibabel 5.3.2

=== Makefile ===
--- 
+++ 
@@ -233,25 +233,6 @@
 bdist_mpkg:
 	$(PYTHON) tools/mpkg_wrapper.py setup.py install
 
-# Check for files not installed
-check-files:
-	$(PYTHON) -c 'from nisext.testers import check_files; check_files("nibabel")'
-
-# Print out info for possible install methods
-check-version-info:
-	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nibabel")'
-
-# Run tests from installed code
-installed-tests:
-	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nibabel")'
-
-# Run tests from packaged distributions
-sdist-tests:
-	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel", doctests=False)'
-
-bdist-egg-tests:
-	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel", doctests=False, label="not script_test")'
-
 sdist-venv: clean
 	rm -rf dist venv
 	unset PYTHONPATH && $(PYTHON) setup.py sdist --formats=zip
@@ -260,7 +241,7 @@
 	mkdir venv/tmp
 	cd venv/tmp && unzip ../../dist/*.zip
 	. venv/bin/activate && cd venv/tmp/nibabel* && python setup.py install
-	unset PYTHONPATH && . venv/bin/activate && cd venv && nosetests --with-doctest nibabel nisext
+	unset PYTHONPATH && . venv/bin/activate && cd venv && pytest --doctest-modules --doctest-plus --pyargs nibabel
 
 source-release: distclean
 	$(PYTHON) -m compileall .

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.20
packaging >=17
importlib_resources >=1.3; python_version < '3.9'

=== debian/changelog ===
nibabel (5.3.2-3) unstable; urgency=medium

  * scipy-1.16.patch: new: fix tests with scipy 1.16. (Closes: #1109953)
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 21:23:58 +0200

nibabel (5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Skip test test_legacy_underscore_content on s390x
    (endianness is hardcoded in test)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 14:54:39 +0100

nibabel (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2 (Closes: #1088757)
  * Refresh patches
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 00:29:49 +0100

nibabel (5.2.1-2) unstable; urgency=medium

  * drop_deprecated_nisext_for_python3.12_compatibility.patch: unfuzz.
  * pytest-8.patch: new: rename setup and teardown functions.
    Closes: #1071461
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 May 2024 18:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-fuse,
                python3-all,
@@ -23,11 +23,10 @@
                python3-numpydoc,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/
-Rules-Requires-Root: no
 
 Package: python3-nibabel
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export MPLCONFIGDIR=$(CURDIR)/build
 
 %:
-	dh $@ --buildsystem=pybuild --builddirectory=build --with=python3
+	dh $@ --buildsystem=pybuild --builddirectory=build
 
 execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR) \

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,5 @@
          python3-pytest,
          python3-numpy,
          python3-scipy,
-         python3-six,
          python3-pytest-httpserver
 Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nibabel

## nibabel 5.3.3

=== debian/changelog ===
nibabel (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * pr1383.patch: delete: applied upstream.
  * d/control: python3-fuse → fuse3. (Closes: #1122522)
  * d/s/lintian-overrides: delete: unused.

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Dec 2025 20:50:53 +0100

nibabel (5.3.2-4) unstable; urgency=medium

  * python3.14.patch: fix failures with python3.14. (Closes: #1121007)

 -- Étienne Mollier <emollier@debian.org>  Thu, 04 Dec 2025 21:15:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
-               python3-fuse,
+               fuse3,
                python3-all,
                python3-hatch-vcs,
                python3-hatchling,
@@ -35,7 +35,7 @@
          python3-numpy,
          python3-scipy,
 Recommends: python3-pydicom,
-            python3-fuse
+            fuse3
 Suggests: python-nibabel-doc,
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
